Ahh crap I REALLY want Punchout but don't want to upgrade my Wii

Discussion in 'Wii - Console and Game Discussions' started by blueoakleyz, Oct 3, 2008.

  1. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States
    Is anyone else stuck in this same situation?
    I want Punchout badly but wouldn't upgrade my Wii if my life depended on it
     
  2. dice

    Former Staff dice pansy-ass ex-staff member

    Joined:
    Oct 26, 2002
    Messages:
    9,542
    Location:
    England
    Country:
    United Kingdom
    well that's what happens when you don't want to pay for games legally... not meaning to sound harsh but deal with it
     
  3. alucard77

    Member alucard77 GBAtemp Fan

    Joined:
    Jul 20, 2006
    Messages:
    465
    Country:
    United States
    Well you update your Wii, beat Punch-Out!! and downgrade back to whatever version you want. Not a big deal.

    And Dice,

    What does upgrading have to do with buying games legally. How about if he had some Trucha signed games. Emulators that will get blocked by new firmware, or something else.

    Why is it always piracy if someone doesn't want to update their Wii?
     
  4. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States
    I was planning on buying PunchOut. I like actually having the game
     
  5. CockroachMan

    Member CockroachMan Scribbling around GBATemp's kitchen.

    Joined:
    Jan 14, 2006
    Messages:
    3,889
    Location:
    Brazil
    Country:
    Brazil
    So.. Punch Out will require an update to play?

    So, that time machine you bought really works huh?
     
  6. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States

    Hahaha Yeah prettttty sure they'll want me to upgrade, won't they?

    Is Nintendo not requiring mandatory updates from 3.2 on their new games?
     
  7. ciper

    Member ciper GBAtemp Regular

    Joined:
    Jun 6, 2007
    Messages:
    179
    Country:
    United States
    Nintendo requires you to have the latest firmware to access the shop channel. Don't assume everyone is a pirate.
     
  8. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States

    So it isn't like PSP where new games required you to update?
     
  9. Giga_Gaia

    Member Giga_Gaia Shinigami

    Joined:
    Sep 12, 2006
    Messages:
    1,281
    Location:
    Quebec, Canada
    Country:
    Canada
    Why wouldn't you update? If you aren't a pirate, then there is no need to not upgrade.

    If you are, stop using some hacks like twilight hack to run your stuff and get a modchip.
     
  10. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States

    I never said I wasn't, don't put words in my mouth

    I love emulators
    it's not like I can buy 99% of the games anyway
     
  11. GHBrothers

    Newcomer GHBrothers Member

    Joined:
    Oct 2, 2008
    Messages:
    28
    Country:
    Sweden
    No, upgrade to 3.3 and click into Wii Shop Channel, than downgrader your Wii to like 2.0 (The Wii first firmware) and then you see a white channel (and that is wii shop channel) click on it and then come the music and the backround from 3.3. Start it and its work!
     
  12. Rammoth

    Member Rammoth GBAtemp Fan

    Joined:
    Oct 28, 2003
    Messages:
    463
    Country:
    United States
    I don't update even though I have a modchip, cause it will stop trucha signed discs and freeloader to stop working.

    That way I won't be able to play custom version of Guitar Hero, uncensored No More Heroes and a whole lot of USA/JAP games which do not reach in Europe or will get here really late.
     
  13. Maikel Steneker

    Member Maikel Steneker M3 Fanboy

    Joined:
    May 16, 2007
    Messages:
    3,396
    Country:
    Netherlands
    I don't want to update because I like using homebrew. I couldn't care less about the Backup Loader, that's just a nice little extra. I just want to be able to run PlayStation-games in the future, watch DVDs and play games in emulators or ports of their engines.

    That said, if there's a game which is really good (for me that's not Punch-Out) I'd upgrade and just hope for Team Twiizers to do something about it.
     
  14. noONE

    Member noONE ~~~~~~~~~~~~

    Joined:
    May 24, 2007
    Messages:
    968
    Location:
    Linköping/Norrköping, Sweden.
    Country:
    Sweden
    Uhm.. GeckoOS..?
    just update your Wii, and start the "problem" games thru that..
     
  15. blueoakleyz
    OP

    Member blueoakleyz GBAtemp Regular

    Joined:
    Jun 26, 2008
    Messages:
    237
    Country:
    United States
    what the heck is geckoos?
     
  16. saulin

    Member saulin GBAtemp Regular

    Joined:
    May 20, 2003
    Messages:
    157
    Country:
    GeckoOS rules and I like the fact that it integrated the cheat system as well. Too bad it's dead now. there won't be any more updates according to the author.
     

Share This Page